NHLF77(1NCARG)

NAME
nhlf77 - Command for compiling Fortran code that uses the NCAR Graphics high-level utilities.

SYNOPSIS
nhlf77 [-ngmath] [-ncarbd] [-ngmathbd] [-netcdf] [-hdf] ...

DESCRIPTION
nhlf77 is a script that invokes the FORTRAN 77 compiler/linker with the proper NCAR Graphics LLU (low-level utility) and HLU (high-level utility) libraries. Arguments presented above are associated with NCAR Graphics. All other arguments and options are identical to the f77 command on your particular machine; arguments that include quoted strings may have to be enclosed in single quotes.

In order to run nhlf77, you must have your NCARG_ROOT environment variable set to the directory pathname where the NCAR Graphics libraries, binaries, and include files were installed. If you are not sure what NCARG_ROOT should be set to, please check with your system administrator or the site representative for NCAR Graphics. If the NCAR Graphics libraries, binaries, and include files were not installed under one root directory, then you will need to set the environment variables NCARG_LIB, NCARG_BIN, and NCARG_INCLUDE instead. Please see "man ncargintro" for more information.

Note that, on some systems, if you supply your own binary libraries in addition to the ones automatically referenced by nhlf77, all the libraries must have been created in a similar fashion.

OPTIONS

-ngmath
    Links in the NCAR Graphics ngmath library.

-ncarbd
    Use this option for compilers that appear to be having trouble initializing blockdata variables. It will cause a small subroutine to be linked in that helps force the loading of blockdata initialization routines.

-ngmathbd
    Just like with the -ncarbd option, use this option for compilers that appear to be having trouble initializing Ngmath-related blockdata variables. It will cause a small subroutine to be linked in that helps force the loading of Ngmath blockdata initialization routines.

    Note: this option doesn't need to be specified separately if you are already including the -ncarbd and -ngmath options.

-netcdf
    Links in the netCDF library. This library is not part of NCAR Graphics, so check with your system administrator if you need it installed. You can obtain a copy of it by doing an anonymous ftp to unidata.ucar.edu.

-hdf
    Links in the HDF library. This library is not part of NCAR Graphics, so check with your system administrator if you need it installed. You can obtain a copy of it by doing an anonymous ftp to ftp.ncsa.uiuc.edu.

SEE ALSO
Online: nhlcc(1NCARG), ncargf77(1NCARG), ncargcc(1NCARG), ncargintro(5NCARG)

COPYRIGHT
Copyright (C) 1987-2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.